GNU bug report logs - #24338
24.5; compile-start has /bin/sh hardcoded for remote executions.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jürgen A. Erhard <jae@HIDDEN>; merged with #29723; dated Tue, 30 Aug 2016 15:29:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 24338 29723. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'normal' from 'minor' Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24338 <at> debbugs.gnu.org:


Received: (at 24338) by debbugs.gnu.org; 30 Aug 2016 16:03:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 30 12:03:02 2016
Received: from localhost ([127.0.0.1]:44569 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1belV4-0003gu-DL
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2016 12:03:02 -0400
Received: from mout.gmx.net ([212.227.17.22]:60463)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1belUz-0003gd-6o
 for 24338 <at> debbugs.gnu.org; Tue, 30 Aug 2016 12:02:57 -0400
Received: from detlef.gmx.de ([87.146.37.251]) by mail.gmx.com (mrgmx103) with
 ESMTPSA (Nemesis) id 0LwrS8-1b3GuS3cd6-016PZx;
 Tue, 30 Aug 2016 18:02:05 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#24338: 24.5;
 compile-start has /bin/sh hardcoded for remote executions.
References: <871t164nxu.fsf@HIDDEN>
 <87a8fu1cwl.fsf@HIDDEN> <mvm1t16jloy.fsf@HIDDEN>
Date: Tue, 30 Aug 2016 18:02:02 +0200
In-Reply-To: <mvm1t16jloy.fsf@HIDDEN> (Andreas Schwab's message of
 "Tue, 30 Aug 2016 17:55:25 +0200")
Message-ID: <8760qi1c05.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:3OnxCEG/Da4Zfwh1RoLnE3o/Q8xd9hDZBBG0Be+BaYsbbCQwBId
 31RQXW8QRPoOaviPCg9MJq7c+os0MSf5NLZrtsQ7OAeAeFiA+ipiGP60j8+D0m2sov+nuwy
 9bCPYD1O3xDaHwA4KOFUGe8jzU4ySbBNt30DmqU2ir76OuAV1yvttW7AUXW7qscsjTj9hxQ
 vPc8R+O3Un8hlOHSydxJA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:3q1cFTD5c50=:viV4aYyOUHZ+x/kq1i/Mkx
 RR11b9XP7onnD/nbag1O+3VypkusnoVTOGEcJ2ArOnb18yiVGJJUpQ9LwgRwpLSlnUNSAHgX7
 LNlUHI+7EM37JvauG3nTXi2Zzw33e/ZH2Z3qs8aMz27vpyfJEF6mZzZ1LofI309KZ8VrbHA6t
 KGKXWTrYLiDJnNb5HOCkbaEWc+HUq5sMiCPlCTuG78I8j+S4nPDRwy0Jgx6VWvq8D1YHSoaK+
 42CTFWzLii/cRugUuwp2AHsxtCu39eqiw/NRnZGyyh9vjmk9jYzKX0Rujj6GytLqHOplrbnkw
 zrzarGgJzI56TgJVxbO1C0ddnHwO8dTBbbqiloBhh8m3PPsWodjRuiE4lqgP+pgYH4qXNJmpk
 NuTNIAbFnVkTGnC9RcvGsS1Yq3zywg5On2mQpdTg9u/AXRtfx7WeZdoYE8luw7Tktjw6o4cA6
 lAF8NUMMQArpxihTP+xgul2FfZd15MT+yDF5Nceu5fPCXOqMdEtdJk361gmSAYZM4GFSdk/KW
 XJy+YqSSWpPooM5aD+SmfpCkyka/0qIjt0FRdV90lKhV7yE+WzOmQTeTYbznWqfo8238d/V/Q
 RGj8dM5ta8csySXxQE3cbWlXwbULcB9WKYSVfhB+uRSz0r2OKEdZPqKet0T019ooiI3zuz7ce
 GD83RjWDBZpZbJ198LMFzfqp6fUTrg6vIlCONPqcBq8p3R8rs4sxIqG/IQXwHTk3wS+KHIOpt
 HiUGKFBs12//bIXiETUyctEjQCrxSnpMjTtSURihQIESTaS1KgwPbgB/vuXAhFVe0zQc6nc8x
 jjX26U4
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24338
Cc: "=?utf-8?Q?J=C3=BCrgen?= A. Erhard" <jae@HIDDEN>,
 24338 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Andreas Schwab <schwab@HIDDEN> writes:

>> `shell-file-name' is often wrong for remote systems; there could be
>> another OS, for example. "/bin/sh" is POSIX and can be assumed to exist.
>
> Actually, POSIX doesn't hardcode the location of sh.  File system layout
> is not part of POSIX.

Right. I meant, that one can expect a POSIX compatible shell at "/bin/sh".

> Andreas.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24338; Package emacs. Full text available.

Message received at 24338 <at> debbugs.gnu.org:


Received: (at 24338) by debbugs.gnu.org; 30 Aug 2016 15:55:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 30 11:55:37 2016
Received: from localhost ([127.0.0.1]:44561 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1belNt-0003Ux-HR
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2016 11:55:37 -0400
Received: from mx2.suse.de ([195.135.220.15]:45442)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <schwab@HIDDEN>) id 1belNo-0003Uj-9d
 for 24338 <at> debbugs.gnu.org; Tue, 30 Aug 2016 11:55:32 -0400
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay2.suse.de (charybdis-ext.suse.de [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id 02F85ABDC;
 Tue, 30 Aug 2016 15:55:25 +0000 (UTC)
From: Andreas Schwab <schwab@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#24338: 24.5;
 compile-start has /bin/sh hardcoded for remote executions.
References: <871t164nxu.fsf@HIDDEN>
 <87a8fu1cwl.fsf@HIDDEN>
X-Yow: I want another RE-WRITE on my CAESAR SALAD!!
Date: Tue, 30 Aug 2016 17:55:25 +0200
In-Reply-To: <87a8fu1cwl.fsf@HIDDEN> (Michael Albinus's message of "Tue, 30
 Aug 2016 17:42:34 +0200")
Message-ID: <mvm1t16jloy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: 24338
Cc: "=?utf-8?Q?J=C3=BCrgen?= A. Erhard" <jae@HIDDEN>,
 24338 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

On Aug 30 2016, Michael Albinus <michael.albinus@HIDDEN> wrote:

> `shell-file-name' is often wrong for remote systems; there could be
> another OS, for example. "/bin/sh" is POSIX and can be assumed to exist.

Actually, POSIX doesn't hardcode the location of sh.  File system layout
is not part of POSIX.

Andreas.

-- 
Andreas Schwab, SUSE Labs, schwab@HIDDEN
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24338; Package emacs. Full text available.

Message received at 24338 <at> debbugs.gnu.org:


Received: (at 24338) by debbugs.gnu.org; 30 Aug 2016 15:43:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 30 11:43:27 2016
Received: from localhost ([127.0.0.1]:44533 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1belC6-0003CP-Qn
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2016 11:43:27 -0400
Received: from mout.gmx.net ([212.227.17.22]:51174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1belC0-0003Bt-TI
 for 24338 <at> debbugs.gnu.org; Tue, 30 Aug 2016 11:43:21 -0400
Received: from detlef.gmx.de ([87.146.37.251]) by mail.gmx.com (mrgmx101) with
 ESMTPSA (Nemesis) id 0M6eTo-1arDT640Si-00wR1M;
 Tue, 30 Aug 2016 17:42:37 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: =?utf-8?Q?J=C3=BCrgen?= A. Erhard <jae@HIDDEN>
Subject: Re: bug#24338: 24.5;
 compile-start has /bin/sh hardcoded for remote executions.
References: <871t164nxu.fsf@HIDDEN>
Date: Tue, 30 Aug 2016 17:42:34 +0200
In-Reply-To: <871t164nxu.fsf@HIDDEN> (=?utf-8?Q?=22J?=
 =?utf-8?Q?=C3=BCrgen?=
 A. Erhard"'s message of "Tue, 30 Aug 2016 11:15:57 +0200")
Message-ID: <87a8fu1cwl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:D3lI5va7BP6dl5IBoFViCKv4zTfhkOIHIEzfhn0/YGnYBWn5NSI
 9gPgWImqxguvsOa6z6SiJUnXVK9K/lpKkCKigXRARXko3d7VuhCq+a+D2F7Fo75LBbocoOH
 DB6o9zt5zxq3/jF5NHdVACHvvOXSjA+rR7U+dtAM0C4RM1RJh/+lD9kAMUojUFZWEhxCqll
 j6lu6CHvo/gXToDofHDow==
X-UI-Out-Filterresults: notjunk:1;V01:K0:nHBGehKtsQo=:hgeLBuGaM+FS9QPPggpbOZ
 K6BRxgqz4+NHhHRM5XcWHSi9d9Kz/eO+wGHEePhVdbJ76eAZVYSBH5tEFayNZ0agS8mHZv6mG
 06S5jX88GdMH/TZYAmBcH8H4pIA/fnPJGmkL7v68awO3L1g1TjygXuj7NGw5wzDbQbVAJeup7
 +c5rIPF38TIas5Eiz934JK0tPH6luEM4d1TSd6/66JD0C5VeR3SzDU296W5F69MCCndEpkC4m
 iz+dn287mgyJzkzJgXpNqBGQrFY6miz5Dstzjdiz0jc1a+TVpqDLELbqGWhQ90o1PVOValJ2+
 8LzV20xBgXwgmUy9Iscp+DYtW00edcvVF+Ooi6HvZVyn9HLq565GRaqeT8gSpJVUqp9dYSD4c
 LAcrLyMOea7bb/mSa+TKrIbJQGsV2EHlBBhWjOrTBNisXVgN7TDdthVvN18yhhZoEsjpGj0xz
 j/NwKYD2Xs+3JZVJB8Pm18jWhrU6KwIB5KMyZwDEHtDec3fIHIgk70omNBVc9teiVDvRTpVj6
 bwsA65eDbHuKVj/SBw3IwbBYZ7Z9WemL8nOsDhTXWmpNW3XA+4u4vVsXrOF0lkXs/3ppEWOmh
 4581KOg6gZpsqQZptgLHXJ+2gvuNRrvXufBWxeRo/uwtIvASTvP4yOS5l9JY/Ge7tnBlERI/n
 joRipfRXP6+wTWUapHG0WuEP4uZuv44d0N07WOon776sUwsc3koeZBplWvJ3QRmcmp/co9rsD
 Q1dpXYC1JurlE3u0GzNg/DhNknZuoIY0NW4S+kApUYcm84kmUEOYXV/XVq8fK9PUYmFLx8tDc
 p9PwvJG
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24338
Cc: 24338 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

J=C3=BCrgen A. Erhard <jae@HIDDEN> writes:

> Title says all, it checks with file-remote-p and the hardcodes /bin/sh.
> It should ideally check the login shell of the remote system or... but
> that all needs knowledge it's not supposed to have, I guess.  Hmm, but
> file-remote-p does use a handler system.  So... have to ponder (if it's
> not completely changed in 25)
>
> At least document it, and please give a way to override in the "Use
> shell-file-name, I know what I'm doing".

`shell-file-name' is often wrong for remote systems; there could be
another OS, for example. "/bin/sh" is POSIX and can be assumed to exist.

How shall one know the remote login shell in advance?

And, in order to find a proper solution, maybe you could show a use case
where "/bin/sh" is simply wrong?

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24338; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Aug 2016 15:28:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 30 11:28:56 2016
Received: from localhost ([127.0.0.1]:44512 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1beky4-0002oq-Me
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2016 11:28:56 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41072)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jae@HIDDEN>) id 1bef9x-00041o-9V
 for submit <at> debbugs.gnu.org; Tue, 30 Aug 2016 05:16:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jae@HIDDEN>) id 1bef9q-0006Mw-35
 for submit <at> debbugs.gnu.org; Tue, 30 Aug 2016 05:16:40 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:46855)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jae@HIDDEN>) id 1bef9p-0006Ms-Vt
 for submit <at> debbugs.gnu.org; Tue, 30 Aug 2016 05:16:38 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:60261)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jae@HIDDEN>) id 1bef9o-0005ae-0m
 for bug-gnu-emacs@HIDDEN; Tue, 30 Aug 2016 05:16:37 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jae@HIDDEN>) id 1bef9k-0006Lg-Mm
 for bug-gnu-emacs@HIDDEN; Tue, 30 Aug 2016 05:16:35 -0400
Received: from dedicated.jaerhard.com ([80.82.209.27]:44497
 helo=mx0.jaerhard.com) by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jae@HIDDEN>) id 1bef9k-0006HH-Dg
 for bug-gnu-emacs@HIDDEN; Tue, 30 Aug 2016 05:16:32 -0400
Received: from [2a02:8071:2d82:7e00:226:22ff:fe0e:db0a]
 (helo=leno.home.jaerhard.com)
 by mx0.jaerhard.com with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.87) (envelope-from <jae@HIDDEN>) id 1bef9C-00046V-Sm
 for bug-gnu-emacs@HIDDEN; Tue, 30 Aug 2016 11:15:58 +0200
Received: from debian32vm.home.jaerhard.com ([10.1.0.6] helo=debian32vm)
 by leno.home.jaerhard.com with esmtp (Exim 4.86)
 (envelope-from <jae@HIDDEN>)
 id 1bef9B-00032S-JF; Tue, 30 Aug 2016 11:15:57 +0200
Received: from localhost ([::1] helo=debian32vm.home.jaerhard.com)
 by debian32vm.home.jaerhard.com with esmtp (Exim 4.87)
 (envelope-from <jae@HIDDEN>)
 id 1bef9B-0000BF-Fu; Tue, 30 Aug 2016 11:15:57 +0200
From: =?utf-8?Q?J=C3=BCrgen_A=2E_Erhard?= <jae@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.5; compile-start has /bin/sh hardcoded for remote executions.
Date: Tue, 30 Aug 2016 11:15:57 +0200
Message-ID: <871t164nxu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Clacks-Overhead: GNU Terry Pratchett
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 30 Aug 2016 11:28:51 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


Title says all, it checks with file-remote-p and the hardcodes /bin/sh.
It should ideally check the login shell of the remote system or... but
that all needs knowledge it's not supposed to have, I guess.  Hmm, but
file-remote-p does use a handler system.  So... have to ponder (if it's
not completely changed in 25)

At least document it, and please give a way to override in the "Use
shell-file-name, I know what I'm doing".



In GNU Emacs 24.5.1 (i586-pc-linux-gnu, GTK+ Version 3.18.9)
 of 2016-04-08 on x86-csail-01, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11803000
System Description:	Debian GNU/Linux unstable (sid)

Configured using:
 `configure --build i586-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.5/site-lisp:/usr/share/emacs/site-lisp
 --build i586-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib
 --infodir=/usr/share/info --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.5/site-lisp:/usr/share/emacs/site-lisp
 --with-x=yes --with-x-toolkit=gtk3 --with-toolkit-scroll-bars
 'CFLAGS=-g -O2 -fstack-protector-strong -Wformat
 -Werror=format-security -Wall' 'CPPFLAGS=-Wdate-time
 -D_FORTIFY_SOURCE=2' LDFLAGS=-Wl,-z,relro'

Important settings:
  value of $LC_ALL: en_US.utf-8
  value of $LANG: en_US.utf-8
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  eldoc-mode: t
  global-auto-revert-mode: t
  server-mode: t
  which-function-mode: t
  savehist-mode: t
  desktop-save-mode: t
  shell-dirtrack-mode: t
  show-paren-mode: t
  diff-auto-refine-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t

Recent messages:
mouse-2, RET: find function's definition
uncompressing compile.el.gz...done
Note: file is write protected
Mark saved where search started

call-interactively: Buffer is read-only: #<buffer compile.el.gz> [6 times]
Mark saved where search started

Making completion list... [4 times]
Reverting buffer `multirsync.torrentstats'.
Quit [2 times]

Load-path shadows:
/usr/share/emacs24/site-lisp/nethack/nethack-cmd hides /usr/share/emacs/site-lisp/nethack/nethack-cmd
/usr/share/emacs24/site-lisp/nethack/slashem-tiles hides /usr/share/emacs/site-lisp/nethack/slashem-tiles
/usr/share/emacs24/site-lisp/nethack/nethack-keys hides /usr/share/emacs/site-lisp/nethack/nethack-keys
/usr/share/emacs24/site-lisp/nethack/nethack-tiles hides /usr/share/emacs/site-lisp/nethack/nethack-tiles
/usr/share/emacs24/site-lisp/nethack/nethack hides /usr/share/emacs/site-lisp/nethack/nethack
/usr/share/emacs24/site-lisp/nethack/nethack-keys-dvorak hides /usr/share/emacs/site-lisp/nethack/nethack-keys-dvorak
/usr/share/emacs24/site-lisp/nethack/nethack-api hides /usr/share/emacs/site-lisp/nethack/nethack-api
/usr/share/emacs24/site-lisp/nethack/nethack-compat hides /usr/share/emacs/site-lisp/nethack/nethack-compat
/home/jae/.emacs.d/elpa/bar-cursor-1.1/bar-cursor hides /usr/share/emacs24/site-lisp/emacs-goodies-el/bar-cursor
/usr/share/emacs/24.5/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs/24.5/site-lisp/puppet-el/puppet-mode hides /usr/share/emacs/site-lisp/puppet-mode
/usr/share/emacs24/site-lisp/flim/md4 hides /usr/share/emacs/24.5/lisp/md4
/usr/share/emacs24/site-lisp/flim/hex-util hides /usr/share/emacs/24.5/lisp/hex-util
/usr/share/emacs/site-lisp/rst hides /usr/share/emacs/24.5/lisp/textmodes/rst
/usr/share/emacs24/site-lisp/flim/hmac-md5 hides /usr/share/emacs/24.5/lisp/net/hmac-md5
/usr/share/emacs24/site-lisp/flim/sasl-cram hides /usr/share/emacs/24.5/lisp/net/sasl-cram
/usr/share/emacs24/site-lisp/flim/sasl-ntlm hides /usr/share/emacs/24.5/lisp/net/sasl-ntlm
/usr/share/emacs24/site-lisp/flim/sasl hides /usr/share/emacs/24.5/lisp/net/sasl
/usr/share/emacs24/site-lisp/flim/hmac-def hides /usr/share/emacs/24.5/lisp/net/hmac-def
/usr/share/emacs24/site-lisp/flim/ntlm hides /usr/share/emacs/24.5/lisp/net/ntlm
/usr/share/emacs24/site-lisp/flim/sasl-digest hides /usr/share/emacs/24.5/lisp/net/sasl-digest
/usr/share/emacs24/site-lisp/latex-cjk-thai/thai-word hides /usr/share/emacs/24.5/lisp/language/thai-word

Features:
(shadow sort mail-extr emacsbug sendmail eieio-opt speedbar sb-image
ezimage dframe pp follow apropos log-view rect vc-arch vc-mtn lisp-mnt
gnutls parse-time mm-archive network-stream starttls url-http tls url-gw
url-cache url-auth url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util mailcap url-handlers epg
finder-inf sgml-mode dired-aux warnings vc-bzr vc-sccs vc-svn vc-cvs
vc-rcs mule-util ffap url-parse url-vars dabbrev tramp-cmds tramp-cache
tramp-sh log-edit message rfc822 mml mml-sec mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev mail-utils gmm-utils mailheader
pcvs-util misearch multi-isearch help-mode ruby-mode goto-addr view
tex-mode vc-git debian-control-mode debian-bug rfc2047 rfc2045
ietf-drums debian-changelog-mode add-log nroff-mode org-indent
org-element org-rmail org-mhe org-irc org-info org-gnus org-docview
doc-view image-mode org-bibtex bibtex org-bbdb org-w3m org org-macro
org-footnote org-pcomplete org-list org-faces org-entities noutline
outline org-version ob-emacs-lisp ob ob-tangle ob-ref ob-lob ob-table
ob-exp org-src ob-keys ob-comint ob-core ob-eval org-compat org-macs
org-loaddefs find-func cal-menu calendar cal-loaddefs rst derived
make-mode js thingatpt cc-mode cc-fonts cc-guess cc-menus cc-cmds
cc-styles cc-align cc-engine cc-vars cc-defs jka-compr info vc-dir ewoc
vc lua-mode rx sh-script smie executable pylint python json calc-arith
eldoc vc-dispatcher conf-mode dired autorevert filenotify server
which-func imenu savehist desktop frameset cus-start cus-load
novel-tools files-x color uuid calc-comb calc-ext calc calc-loaddefs
calc-macs eieio-base typopunct bar-cursor typopunct-autoloads
uuid-autoloads package epg-config vc-hg tramp tramp-compat auth-source
eieio byte-opt bytecomp byte-compile cl-extra cconv eieio-core gnus-util
mm-util mail-prsvr password-cache tramp-loaddefs trampver shell
pcomplete format-spec advice help-fns grep compile comint ansi-color
ring cl-macs paren cl gv diff-mode easymenu easy-mmode edmacro kmacro
cl-loaddefs cl-lib debian-el debian-el-loaddefs dpkg-dev-el
dpkg-dev-el-loaddefs time-date tooltip electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
gfilenotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 8 2211536 305942)
 (symbols 24 46959 0)
 (miscs 20 12484 5771)
 (strings 16 207050 30964)
 (string-bytes 1 10397737)
 (vectors 8 55844)
 (vector-slots 4 1773465 112312)
 (floats 8 526 2201)
 (intervals 28 392498 31178)
 (buffers 512 970)
 (heap 1024 245671 91250))




Acknowledgement sent to Jürgen A. Erhard <jae@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24338; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 22 Feb 2018 10:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.